Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.impl
Class ServiceManagerImpl

    java.lang.Object
      |
      +--oracle.soap.server.impl.ServiceManagerImpl

All Implemented Interfaces:
  ServiceManager

public class ServiceManagerImpl
extends java.lang.Object
implements ServiceManager

Service Manager to manage services whose deployment information is stored in a file. This is a rather inefficient service manager that is similar in functionality to the Apache SOAP service manager. However, it provides two important additions:

- option to not automatically deploy the provider and service manager as services
- security option to require that requests come from a specific URL, which has access controlled via the HTTP server

Field Summary
`static java.lang.String` | `DEFAULT_CONFIG_MANAGER`
`static java.lang.String` | `OPTION_AUTO_DEPLOY` Dictates whether the serviceManager and providerManager are automatically deployed as services.
`static java.lang.String` | `OPTION_REQUIRED_REQUEST_URI`

Constructor Summary
`ServiceManagerImpl()`

Method Summary
`void` | `deploy(ServiceDeploymentDescriptor sd)` Deploy the given service.
`void` | `destroy()` Cleanup the service manager.
`java.lang.String` | `getDefaultConfigManagerClassname()` Get the class name of the default configuration manager.
`java.lang.String` | `getRequiredRequestURI()` Get the URI that service manager requests must be made to in order to be accepted.
`void` | `init(java.util.Properties options, ProviderManager providerManager, javax.servlet.ServletContext context, ConfigManager configManager)` Initialize the service manager.
`java.lang.String[]` | `list()` Get a list of service ids for all services that have been deployed, regardless of the provider.
`ServiceDeploymentDescriptor` | `query(java.lang.String serviceId)` Get the deployment descriptor for the given service.
`ServiceDeploymentDescriptor` | `undeploy(java.lang.String serviceId)` Undeploy the given service, and return its descriptor.
`java.lang.String` | `version()` Reurns current soap version

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG_MANAGER

    public static final java.lang.String DEFAULT_CONFIG_MANAGER

  See Also:
    Constant Field Values

### OPTION_REQUIRED_REQUEST_URI

    public static final java.lang.String OPTION_REQUIRED_REQUEST_URI

  See Also:
    Constant Field Values

### OPTION_AUTO_DEPLOY

    public static final java.lang.String OPTION_AUTO_DEPLOY

  Dictates whether the serviceManager and providerManager are automatically deployed as services. Default is true. Set value to "false" to prevent auto-deploying these as services.
  See Also:
    Constant Field Values

Constructor Detail

### ServiceManagerImpl

    public ServiceManagerImpl()

Method Detail

### getDefaultConfigManagerClassname

    public java.lang.String getDefaultConfigManagerClassname()

  Get the class name of the default configuration manager.
  Specified by:
    `getDefaultConfigManagerClassname` in interface `ServiceManager`
  Returns:
    The default configuration manager fully qualified class name.

### init

    public void init(java.util.Properties options,
    ProviderManager providerManager,
                     javax.servlet.ServletContext context,
    ConfigManager configManager)
              throws SOAPException

  Initialize the service manager. The implementation should be able to handle a `null` value for the provider manager.
  Specified by:
    `init` in interface `ServiceManager`
  Parameters:
    `options` - The options required to setup access to the service deployment information.
    `providerManager` - The provider manager that is managing provider deployment information for the SOAP server, or `null` if the provider manager is not supplied. The service manager uses the provider manager to confirm the existence of the provider when a new service is deployed.
    `context` - The servlet context.
    `configManager` - The configuration manager for this service manager.
  Throws:
    `SOAPException` - Unable to access the service deployment information.

### destroy

    public void destroy()
                 throws SOAPException

  Cleanup the service manager.
  Specified by:
    `destroy` in interface `ServiceManager`
  Throws:
    `SOAPException` - Unable to cleanup the service manager.

### getRequiredRequestURI

    public java.lang.String getRequiredRequestURI()

  Get the URI that service manager requests must be made to in order to be accepted. Requests made to any other URI must be rejected.
  Specified by:
    `getRequiredRequestURI` in interface `ServiceManager`
  Returns:
    The request URI for service manager requests, or `null` if any URI can be used.

### undeploy

    public ServiceDeploymentDescriptor undeploy(java.lang.String serviceId)
                                         throws SOAPException

  Undeploy the given service, and return its descriptor.
  Specified by:
    `undeploy` in interface `ServiceManager`
  Parameters:
    `serviceId` - The URI of the service to undeploy.
  Returns:
    The descriptor containing the deployment information for the service that has been undeployed.
  Throws:
    `SOAPException` - If the service is not found or failed to undeploy.

### deploy

    public void deploy(ServiceDeploymentDescriptor sd)
                throws SOAPException

  Deploy the given service.
  Specified by:
    `deploy` in interface `ServiceManager`
  Parameters:
    `sd` - The service descriptor for the service to deploy.
  Throws:
    `SOAPException` - If unable to deploy.

### query

    public ServiceDeploymentDescriptor query(java.lang.String serviceId)
                                      throws SOAPException

  Get the deployment descriptor for the given service.
  Specified by:
    `query` in interface `ServiceManager`
  Parameters:
    `serviceId` - The unique URI of the service.
  Returns:
    The descriptor containing the deployment information for the given service.
  Throws:
    `SOAPException` - If the service is not found.

### list

    public java.lang.String[] list()
                            throws SOAPException

  Get a list of service ids for all services that have been deployed, regardless of the provider.
  Specified by:
    `list` in interface `ServiceManager`
  Returns:
    An array of deployed service ids.
  Throws:
    `SOAPException` - Unable to list service ids.

### version

    public java.lang.String version()
                             throws SOAPException

  Reurns current soap version
  Specified by:
    `version` in interface `ServiceManager`
  Returns:
    version string
  Throws:
    `SOAPException` - Unable to obtain version

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.